//---------------------------------------------------------------------------

#ifndef uMainH
#define uMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ActnList.hpp>
#include <ImgList.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *mmMain;
        TMenuItem *miFile;
        TMenuItem *miExit;
        TCoolBar *cbrMain;
        TToolBar *tbMain;
        TToolButton *tbtAddComponent;
        TActionList *alMain;
        TImageList *ilMain;
        TMenuItem *miEdit;
        TToolButton *tbtEditComp;
        TToolButton *tbtDeleteComp;
        TToolButton *tbtFindSolution;
        TPanel *pnOutput;
        TPanel *pnOutputHeader;
        TMemo *memOutput;
        TMenuItem *miHelp;
        TMenuItem *miAbout;
        TSplitter *Splitter1;
        TPanel *pnParameters;
        TPanel *pnParametersHeader;
        TSplitter *Splitter2;
        TPanel *pnComponentsList;
        TPanel *pnComponentsListHeader;
        TListView *lvComponentsList;
        TLabel *laMaxCost;
        TLabel *laMaxWeight;
        TMaskEdit *meMaxCost;
        TMaskEdit *meMaxWeight;
        TAction *actAddComp;
        TAction *actEditComp;
        TStatusBar *stbMain;
        TAction *actDeleteComp;
        TMenuItem *miAddComp;
        TMenuItem *miEditComp;
        TMenuItem *miDeleteComp;
        TToolButton *tbtSeparator2;
        TAction *actFindSolution;
        TMenuItem *miSeparator2;
        TMenuItem *miFindSolution;
        TPopupMenu *pmMain;
        TMenuItem *pmiAddComp;
        TMenuItem *pmiEditComp;
        TMenuItem *pmiDeleteComp;
        TMenuItem *pmiSeparator1;
        TMenuItem *pmiFindSolution;
        TAction *actCreate;
        TAction *actOpen;
        TAction *actSave;
        TOpenDialog *odMain;
        TSaveDialog *sdMain;
        TToolButton *tbtCreate;
        TToolButton *tbtSave;
        TToolButton *tbtSeparator1;
        TMenuItem *miSeparator1;
        TMenuItem *miCreate;
        TMenuItem *miOpen;
        TMenuItem *miSave;
        TMenuItem *miTask;
        void __fastcall miExitClick(TObject *Sender);
        void __fastcall miAboutClick(TObject *Sender);
        void __fastcall actAddCompExecute(TObject *Sender);
        void __fastcall actEditCompExecute(TObject *Sender);
        void __fastcall actDeleteCompExecute(TObject *Sender);
        void __fastcall lvComponentsListSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall actFindSolutionExecute(TObject *Sender);
        void __fastcall ResetControls();
        void __fastcall actCreateExecute(TObject *Sender);
        void __fastcall actOpenExecute(TObject *Sender);
        void __fastcall DoSaveProject();
        void __fastcall actSaveExecute(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall miTaskClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
